com.aliyun.svideosdk.common.struct.project

## Class VideoEffect

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.project.VideoEffect

- Direct Known Subclasses:
    BlurBackground, RunningDisplayMode

      public class VideoEffect
      extends Effect

  视频相关特效 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VideoEffect(Effect.Type type, int streamId, int id, long startTimeMills, long durationMills)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取长度
    `int` | `getId()` 获取该效果的id，唯一资源标识符
    `float` | `getIn()` 获取效果相对于素材的切入点时间
    `float` | `getOut()` 获取效果相对于素材的切出点时间
    `long` | `getStartTime()` 获取开始时间
    `int` | `getStreamId()` 获取该效果作用的流id，流id为clip的id值
    `void` | `setDuration(long duration)` 设置长度
    `void` | `setId(int id)` 设置该效果的id，不需要用户调用
    `void` | `setIn(float in)` 设置效果相对于素材的切入点时间
    `void` | `setOut(float out)` 设置效果相对于素材的切出点时间
    `void` | `setStartTime(long startTime)` 设置开始时间
    `void` | `setStreamId(int streamId)` 设置该效果作用的流id，流id为clip的id值

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoEffect

          protected VideoEffect(Effect.Type type,
                                int streamId,
                                int id,
                                long startTimeMills,
                                long durationMills)

  - ### Method Detail

    - #### getId

          public int getId()

      获取该效果的id，唯一资源标识符
      Returns:

    - #### setId

          public void setId(int id)

      设置该效果的id，不需要用户调用
      Parameters:
        `id` -

    - #### getStreamId

          public int getStreamId()

      获取该效果作用的流id，流id为clip的id值
      Returns:
        流id

    - #### setStreamId

          public void setStreamId(int streamId)

      设置该效果作用的流id，流id为clip的id值
      Parameters:
        `streamId` - 流id

    - #### getStartTime

          public long getStartTime()

      获取开始时间
      Returns:
        单位 毫秒

    - #### setStartTime

          public void setStartTime(long startTime)

      设置开始时间
      Parameters:
        `startTime` - 开始时间 单位 毫秒

    - #### getDuration

          public long getDuration()

      获取长度
      Returns:
        单位 毫秒

    - #### setDuration

          public void setDuration(long duration)

      设置长度
      Parameters:
        `duration` - 单位 毫秒

    - #### getIn

          public float getIn()

      获取效果相对于素材的切入点时间
      Returns:
        切入点时间

    - #### setIn

          public void setIn(float in)

      设置效果相对于素材的切入点时间
      Parameters:
        `in` - 切入点时间 单位 秒

    - #### getOut

          public float getOut()

      获取效果相对于素材的切出点时间
      Returns:
        切出点时间

    - #### setOut

          public void setOut(float out)

      设置效果相对于素材的切出点时间
      Parameters:
        `out` - 切出点时间